%define upstream_name    Module-Install-AutoLicense
%define upstream_version 0.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A Module::Install extension to automagically generate LICENSE files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Install)
BuildRequires: perl(Software::License)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Module::Install::AutoLicense is a the Module::Install manpage extension
that generates a 'LICENSE' file automatically whenever the author runs
'Makefile.PL'. On the user side it does nothing.

When 'make distclean' is invoked by the author, the 'LICENSE' is removed.

The appropriate license to determined from the meta provided with the
'license' command and the holder of the license from the 'author' command.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml LICENSE README
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.100.0-4.mga8
+ Revision: 1505183
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.100.0-3.mga7
+ Revision: 1284792
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.100.0-2.mga7
+ Revision: 1165549
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 0.100.0-1.mga7
+ Revision: 1157461
- update to 0.10

* Sun Jun 19 2016 pterjan <pterjan> 0.80.0-7.mga6
+ Revision: 1030055
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.80.0-6.mga6
+ Revision: 945171
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-5.mga5
+ Revision: 751225
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.80.0-3.mga4
+ Revision: 512982
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 369842
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 30 2012 shlomif <shlomif> 0.80.0-1.mga2
+ Revision: 203481
- imported package perl-Module-Install-AutoLicense


* Sat Jan 21 2012 cpan2dist 0.08-1mga
- initial mageia release, generated with cpan2dist
